local t = Def.ActorFrame {
	LoadFont("Common", "normal") .. {
		Text="StepMania " .. ProductVersion();
		InitCommand=cmd(x,SCREEN_LEFT+20;y,SCREEN_TOP+20;horizalign,left;zoom,0.5;shadowlength,0);
	};
	LoadFont("Common", "normal") .. {
		InitCommand=cmd(x,SCREEN_LEFT+20;y,SCREEN_TOP+36;horizalign,left;zoom,0.5;shadowlength,0;playcommand,"Set");
		SetCommand=function(self)
			local fmt = THEME:GetString( "ScreenTitleMenu", "%d songs in %d groups, %d courses in %d groups" )
			local text = string.format( fmt, SONGMAN:GetNumSongs(), SONGMAN:GetNumSongGroups(), SONGMAN:GetNumCourses(), SONGMAN:GetNumCourseGroups() )

			if PREFSMAN:GetPreference("UseUnlockSystem") then
				text = text .. string.format(", %d unlocks", UNLOCKMAN:GetNumUnlocks() )
			end
			self:settext( text )
		end;
	};
	LoadFont("Common", "normal") .. {
		Text="Gametype: "..GAMESTATE:GetCurrentGame():GetName();
		InitCommand=cmd(x,SCREEN_LEFT+20;y,SCREEN_TOP+52;horizalign,left;zoom,0.5;shadowlength,0);
	};
}

return t;
